petsc-3.4.2 2013-07-02

# MatGetVecs

Get vector(s) compatible with the matrix, i.e. with the same parallel layout

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetVecs(Mat mat,Vec *right,Vec *left)

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameter

| right | - (optional) vector that the matrix can be multiplied against
| left | - (optional) vector that the matrix vector product can be stored in

### See Also

MatCreate()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex38.c.html
src/ksp/ksp/examples/tutorials/ex39.c.html
src/ksp/ksp/examples/tutorials/ex40.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex54f.F.html
src/ts/examples/tutorials/ex8.c.html